---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libnativemethbind02.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL12counter_lock, symObjAddr: 0x1D2C8, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x8D, offset: 0x8D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1D2D0, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0xBD, offset: 0xBD, size: 0x8, addend: 0x0, symName: __ZL11wrongBindEv, symObjAddr: 0x1D2D4, symBinAddr: 0x8044, symSize: 0x0 }
  - { offsetInCU: 0xDB, offset: 0xDB, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1D2D8, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8CDE, offset: 0x8CDE, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1D2E0, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8D6F, offset: 0x8D6F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2FA4, symSize: 0x24 }
  - { offsetInCU: 0x91D1, offset: 0x91D1, size: 0x8, addend: 0x0, symName: _NativeMethodBind, symObjAddr: 0xC70, symBinAddr: 0x2FC8, symSize: 0x228 }
  - { offsetInCU: 0x95B7, offset: 0x95B7, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xE98, symBinAddr: 0x31F0, symSize: 0x90 }
  - { offsetInCU: 0x9697, offset: 0x9697, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xF28, symBinAddr: 0x3280, symSize: 0x9C }
  - { offsetInCU: 0x971A, offset: 0x971A, size: 0x8, addend: 0x0, symName: _Java_nativemethbind02_nativeMethod, symObjAddr: 0xFC4, symBinAddr: 0x331C, symSize: 0x30 }
  - { offsetInCU: 0x9839, offset: 0x9839, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xFF4, symBinAddr: 0x334C, symSize: 0x1F0 }
  - { offsetInCU: 0x9AEA, offset: 0x9AEA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x11E4, symBinAddr: 0x353C, symSize: 0x4 }
  - { offsetInCU: 0x9B2E, offset: 0x9B2E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x11E4, symBinAddr: 0x353C, symSize: 0x4 }
  - { offsetInCU: 0x9B40, offset: 0x9B40, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x11E8, symBinAddr: 0x3540, symSize: 0x4 }
  - { offsetInCU: 0x9B84, offset: 0x9B84, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x11E8, symBinAddr: 0x3540, symSize: 0x4 }
...
